Send Webhook Test Notification

post/api/webhook-test-notifications

Fire a sample notification to check that one or multiple webhook listeners are correctly set up for a particular topic and account. Test notification can be targeted to a specific listener by providing listenerId body parameter.

Request

Body application/json

  • topicstringrequired
  • accountIdstringrequired

    The identifier for the partner account associated with the listener.

  • listenerIdstring

    Optional. If provided the test notification will be sent only to that specific, subscribed listener. If omitted the notification will be sent to every active subscribed listener for the given topic.

Response

Successful operation.

Body application/json

  • notificationsobject[]

    Items

    • idstringrequired

      The id of the notification sent.